package com.ruoyi.project.configuration.domain;

import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 危害物质-防护用品对象 t_matter_protect
 *
 * @author ruoyi
 * @date 2021-12-28
 */
public class TMatterProtect extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 唯一标识ID
     */
    private Long id;

    /**
     * 防护用品中文名称
     */
    @Excel(name = "防护用品中文名称")
    private String conservatoryMeasureName;

    /**
     * 防护用品对应显示
     */
    @Excel(name = "防护用品对应显示")
    private String conservatoryMeasureCode;

    /**
     * 防护用品对应分项
     */
    @Excel(name = "防护用品对应分项")
    private String conservatoryMeasureNo;

    /**
     * 防护用品显示字段
     */
    @Excel(name = "防护用品显示字段")
    private String conservatoryMeasureContent;

    /**
     * 防护用品类型
     */
    @Excel(name = "防护用品类型")
    private String protectType;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setConservatoryMeasureName(String conservatoryMeasureName) {
        this.conservatoryMeasureName = conservatoryMeasureName;
    }

    public String getConservatoryMeasureName() {
        return conservatoryMeasureName;
    }

    public void setConservatoryMeasureCode(String conservatoryMeasureCode) {
        this.conservatoryMeasureCode = conservatoryMeasureCode;
    }

    public String getConservatoryMeasureCode() {
        return conservatoryMeasureCode;
    }

    public void setConservatoryMeasureNo(String conservatoryMeasureNo) {
        this.conservatoryMeasureNo = conservatoryMeasureNo;
    }

    public String getConservatoryMeasureNo() {
        return conservatoryMeasureNo;
    }

    public void setConservatoryMeasureContent(String conservatoryMeasureContent) {
        this.conservatoryMeasureContent = conservatoryMeasureContent;
    }

    public String getConservatoryMeasureContent() {
        return conservatoryMeasureContent;
    }

    public void setProtectType(String protectType) {
        this.protectType = protectType;
    }

    public String getProtectType() {
        return protectType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("conservatoryMeasureName", getConservatoryMeasureName())
                .append("conservatoryMeasureCode", getConservatoryMeasureCode())
                .append("conservatoryMeasureNo", getConservatoryMeasureNo())
                .append("conservatoryMeasureContent", getConservatoryMeasureContent())
                .append("protectType", getProtectType())
                .toString();
    }
}
